Skip to main content
The “Create Redirect” API Allows adding a new url redirect to the system. Use this endpoint to create a url redirect with the specified details. Ensure that the required information is provided in the request payload.
POST https://services.leadconnectorhq.com/funnels/lookup/redirect

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Body

locationId
string
default:"6p2RxpgtMKQwO3E6IUaT"
required
domain
string
default:"example.com"
required
path
string
default:"/Hello"
required
target
string
default:"https://www.google.com"
required
action
string
default:"URL"
required
Posibles valores: ‘funnel’, ‘website’, ‘url’, ‘all’

Respuestas

data
object
required
Data containing details of the created redirect
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/funnels/lookup/redirect' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "locationId": "6p2RxpgtMKQwO3E6IUaT",
  "domain": "example.com",
  "path": "/Hello",
  "target": "https://www.google.com",
  "action": "URL"
}'
const response = await fetch('https://services.leadconnectorhq.com/funnels/lookup/redirect', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"locationId": "6p2RxpgtMKQwO3E6IUaT", "domain": "example.com", "path": "/Hello", "target": "https://www.google.com", "action": "URL"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/funnels/lookup/redirect',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"locationId": "6p2RxpgtMKQwO3E6IUaT", "domain": "example.com", "path": "/Hello", "target": "https://www.google.com", "action": "URL"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/funnels/lookup/redirect');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'locationId': '6p2RxpgtMKQwO3E6IUaT', 'domain': 'example.com', 'path': '/Hello', 'target': 'https://www.google.com', 'action': 'URL'}),
]);
$data = json_decode(curl_exec($ch), true);